#ifndef _LOGO
#define _LOGO

#include "texture.h"
#include "CTimer.h"


extern texture_t ftex;
texture_t logo;
int blink=0;

void initLogo(char *logofile){
     logo=LoadTexture(logofile);
}

void showLogoScreen(){
     
     
     glPushMatrix();
     glLoadIdentity();
     glTranslatef(0.0,0.0,-8.0);
     
     glBindTex(logo);
     glColor3f(1.0,1.0,1.0);
     glBegin(GL_QUADS);
         glTexCoord2f(0.0,0.0);glVertex3f(-3.3,-2.0,0.0);
         glTexCoord2f(1.0,0.0);glVertex3f(3.3,-2.0,0.0);
         glTexCoord2f(1.0,1.0);glVertex3f(3.3,2.0,0.0);
         glTexCoord2f(0.0,1.0);glVertex3f(-3.3,2.0,0.0);
     glEnd();
    
     glLoadIdentity();
     glBindTex(ftex);
    
     glPrint(255,255,255,300,520,"   F1 for Help");
     
     if(blink>50)                  
                  glPrint(0,0,255,250,480,"Press spacebar to start Demo");
     
     if(blink<50)
                  glPrint(255,0,0,250,480,"Press spacebar to start Demo");
     
     if(blink>=100) blink=0;
                   
     glPrint(0,255,0,200,60,"(c)by Carsten Haubold  -  www.CHaubold.de");
     glPopMatrix();
     blink++;
     
}
                               

#endif
